libzypp 17.37.10

zypp::solver::detail::FindPackage Struct Reference

## Public Member Functions
| FindPackage (ProblemSolutionCombi *p, const TransactionKind act)
bool | operator() (const PoolItem &p)

## Public Attributes
ProblemSolutionCombi * | problemSolution
TransactionKind | action

## Detailed Description

Definition at line 1055 of file SATResolver.cc.

## Constructor & Destructor Documentation

## ◆ FindPackage()

zypp::solver::detail::FindPackage::FindPackage | ( | ProblemSolutionCombi * | p,
|  | const TransactionKind | act )
| inline

Definition at line 1059 of file SATResolver.cc.

## Member Function Documentation

## ◆ operator()()

bool zypp::solver::detail::FindPackage::operator() | ( | const PoolItem & | p | ) |
| inline

Definition at line 1065 of file SATResolver.cc.

## Member Data Documentation

## ◆ problemSolution

ProblemSolutionCombi* zypp::solver::detail::FindPackage::problemSolution

Definition at line 1057 of file SATResolver.cc.

## ◆ action

TransactionKind zypp::solver::detail::FindPackage::action

Definition at line 1058 of file SATResolver.cc.

The documentation for this struct was generated from the following file:

- zypp/solver/detail/SATResolver.cc